CashBack Card Expired
Request body parameters
| Field | Type | Description |
|---|---|---|
| interface * | string | interface of sale |
| storeId * | string | |
| client | array / int / null | In this field, you can enter an id(person ID, guper), leave it as null to represent an anonymous customer, or fill it with a complete customer's data, as shown in the example: {"id": "47", "name": "Trifólio Girassol", "countryCallingCode": 55 "cellphone": "19954264546", "email": "trifolio@girassol.com"}; For already registered customers, it is necessary to provide at least id or cellphone. To register a new customer, you need to include id, cellphone, and name. Our API is responsible for handling customer registration and retrieval efficiently using this information. |
| attendants | array | |
| items * | array | |
| total_order | int | total order amount |
| total_item | int | total value of items only |
| total_shipping | int | total amount of shipping fee only |
| total_discounts | int | total amount of discounts; Cashback values should not be passed in this field |
Try-it values populated from environment ACME (Demo)
Authentication
Token
Send your user token in the x-guper-authorization header. Endpoints that
support a Public mode (e.g. acúmulo and resgate previews) accept the same
request without the header — Private mode adds customer data and a
confirmation token to the response.
Headers
Path parameters
Responses
Copied to clipboard